Batch create tasks for a specific case.
HTTP Method: POST
| Parameter |
Description |
| tasks |
An array of task objects. Max length of 25. Each object must include a description and may optionally include an assignee_emails string array. |
| Path Parameter |
Description |
| case_id |
The ID of the case. |
| Parameter |
Description |
| description |
The task description. |
| assignee_emails |
Optional An array of user emails to assign to the task. |
curl -X POST \
https://<tenant-domain>/api/v2/cases/<<case_id>>/tasks/batch \
-H 'content-type: application/json' \
-H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>' \
-d '{
"tasks": [
{
"description": "Review security logs for suspicious activity",
"assignee_emails": ["user1@example.com"]
},
{
"description": "Update incident runbook"
},
{
"description": "Close related tickets",
"assignee_emails": ["user2@example.com", "user3@example.com"]
}
]
}'
A successful request will return a JSON object containing an array of the created tasks.
| Parameter |
Description |
| tasks |
An array of created task objects. |
Task object fields
| Parameter |
Description |
| id |
The task ID. |
| description |
The task description. |
| completed |
Boolean indicating whether the task is completed. |
| assignees |
An array of users assigned to the task. |
| created_at |
ISO 8601 Timestamp representing the date and time the task was created at. |
| updated_at |
ISO 8601 Timestamp representing the date and time the task was updated at. |
Assignee object fields
| Parameter |
Description |
| id |
The user ID. |
| email |
The user email. |
| first_name |
The user's first name. |
| last_name |
The user's last name. |
{
"tasks": [
{
"id": 1,
"description": "Review security logs for suspicious activity",
"completed": false,
"assignees": [
{
"id": "123",
"email": "user1@example.com",
"first_name": "John",
"last_name": "Doe"
}
],
"created_at": "2024-03-25T15:40:39Z",
"updated_at": "2024-03-25T15:40:39Z"
},
{
"id": 2,
"description": "Update incident runbook",
"completed": false,
"assignees": [],
"created_at": "2024-03-25T15:40:39Z",
"updated_at": "2024-03-25T15:40:39Z"
},
{
"id": 3,
"description": "Close related tickets",
"completed": false,
"assignees": [
{
"id": "456",
"email": "user2@example.com",
"first_name": "Jane",
"last_name": "Smith"
},
{
"id": "789",
"email": "user3@example.com",
"first_name": "Bob",
"last_name": "Wilson"
}
],
"created_at": "2024-03-25T15:40:39Z",
"updated_at": "2024-03-25T15:40:39Z"
}
]
}